### Method

# EBook BookClient get_locale

since: 3.12

#### Declaration [src]

    const gchar*
    e_book_client_get_locale (
      EBookClient* client
    )

#### Description [src]

Reports the locale in use for `client`. The addressbook might sort contacts in different orders, or store and compare phone numbers in different ways depending on the currently set locale.

Locales can change dynamically if systemd decides to change the locale, so it’s important to listen for notifications on the `EBookClient:locale` property if you depend on sorted result lists. Ordered results should be reloaded after a locale change is detected.

Available since: 3.12

Gets property | `EBook.BookClient:locale`

#### Return value

Type: `const gchar*`

The currently set locale for `client`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.